SystemOrganization addCategory: #ConfigurationOfRPackage!

Object subclass: #ConfigurationOfRPackage
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfRPackage'!

!ConfigurationOfRPackage class methodsFor: 'private' stamp: 'tg 6/5/2010 18:17'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) project latestVersion load: #('default' 'UI') ]! !

!ConfigurationOfRPackage class methodsFor: 'metacello tool support' stamp: 'tg 6/5/2010 18:17'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRPackage class methodsFor: 'loading' stamp: 'tg 6/5/2010 18:17'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfRPackage class methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^self new project! !

!ConfigurationOfRPackage methodsFor: 'baselines' stamp: 'tg 6/5/2010 18:19'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
		spec 
			package: 'SystemAnnouncements';
			package: 'RPackage-Core' with: [
				spec requires: #('SystemAnnouncements')]
	]! !

!ConfigurationOfRPackage methodsFor: 'accessing' stamp: 'tg 6/5/2010 18:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !
